# Dedup probe for chunks

`POST /v1/datasets/upload/chunks-exist`

Tenant-scoped content-addressed dedup probe.

- Base URL: `https://junction-api.qualiastudios.dev`
- Authentication: an API key in the `X-API-Key` header, or `Authorization: Bearer …`

## Request body

Required: `application/json` `ChunksExistBody`

## Responses

- `200` Successful Response: `application/json` `any`
- `401` Invalid or missing API key: `application/json` `ErrorResponse`
- `422` Validation Error: `application/json` `HTTPValidationError`

## Schemas

```yaml
ChunksExistBody:
  properties:
    hashes:
      items:
        type: string
        pattern: ^[0-9a-f]{64}$
      type: array
    preferred_blob_ids:
      items:
        type: string
        pattern: ^[0-9a-f]{64}$
      type: array
  additionalProperties: false
  type: object
  required:
    - hashes
    - preferred_blob_ids
  title: ChunksExistBody
ErrorResponse:
  properties:
    detail:
      type: string
      description: Error message describing what went wrong
  type: object
  required:
    - detail
  title: ErrorResponse
  description: Standard error response.
HTTPValidationError:
  properties:
    detail:
      items:
        $ref: "#/components/schemas/ValidationError"
      type: array
  type: object
  title: HTTPValidationError
ValidationError:
  properties:
    loc:
      items:
        type:
          - string
          - integer
      type: array
      title: Location
    msg:
      type: string
      title: Message
    type:
      type: string
      title: Error Type
    input: {}
    ctx:
      type: object
      title: Context
  type: object
  required:
    - loc
    - msg
    - type
  title: ValidationError
```
